package org.example.lombok;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.extern.java.Log;

import java.util.Date;

@NoArgsConstructor
@AllArgsConstructor
@Data
@Log
public class Book {

    private String author;
    private String title;
    private String isbn;
    private Date releaseDate;
    private Integer pages;

    public String getTitle() {
        log.fine("My getter <--- log");
        System.out.println("My getter!");
        return this.title;
    }
}
